Name:           libglademm20
Version:        2.2.0
Release:        0.fdr.1.2
Epoch:          0
Summary:        A C++ wrapper for libglade

Group:          System Environment/Libraries
License:        LGPL
URL:            http://gtkmm.sourceforge.net/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libglademm/2.2/libglademm-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  gtkmm20-devel >= 0:2.0.2
BuildRequires:  libglade2-devel >= 0:2.0.0
BuildRequires:  libtool
Obsoletes:      libglademm2
Patch0:         libglademm-2.2.0-gcc34.patch

%description
This package provides a C++ interface for libglademm. It is a
subpackage of the GTKmm project.  The interface provides a convenient
interface for C++ programmers to create Gnome GUIs with GTK+'s
flexible object-oriented framework.

%package devel
Summary:        Headers for developing programs that will use libglademm
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       gtkmm20-devel
Requires:       libglade2-devel
Obsoletes:      libglademm2-devel

%description devel
This package contains the headers that programmers will need to
develop applications which will use libglademm, part of GTKmm, the C++
interface to the GTK+.


%prep
%setup -q -n libglademm-%{version}
%patch0 -p1


%build
aclocal -I scripts
libtoolize -c -f
automake -a -c -f
autoconf
%configure --enable-static --enable-shared
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/libglademm-2.0
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Aug 30 2004 Denis Leroy <denis@poolshark.org> - 2.2.0-0.fdr.1
- Fix for x86_64
- Upgrade to 2.2.0, switched to bz2
- Changed suffix to 20, added Obsolete tag

* Thu Oct 31 2003 Michael Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.6
- Add gtkmm-devel to buildrequires.
- Added back NEWS

* Thu Oct 31 2003 Michael Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.5
- Add patch to remove incorrect gnomemm include.
- Leave out the ChangeLog etc.

* Thu Oct 30 2003 Michael Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.4
- Remove libgnomemm2 from the requirements 

* Wed Oct 22 2003 Michael Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.3
- Add Epochs to the requirements

* Wed Oct 22 2003 Michael Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.2
- Fix -devel Requires
- Fix -devel Description 
- Remove empty DOC files
- Fixed package description

* Sat Oct 18 2003 Michael Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.1
- Import Dag's RPM to fedora

* Sat Mar 29 2003 Dag Wieers <dag@wieers.com> - 2.0.1-0
- Initial package. (using dar)
